Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Conflicto con Chromium [Solucionado]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Spanish
View previous topic :: View next topic  
Author Message
natrix
Apprentice
Apprentice


Joined: 23 Aug 2013
Posts: 242

PostPosted: Fri Sep 06, 2013 11:42 pm    Post subject: Conflicto con Chromium [Solucionado] Reply with quote

Hola a todos!!!
Esta vez escribo al foro por un problema para emerger Chromium. El emerge me tira esto:

Code:


 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

Calculating dependencies... done!
[ebuild  N     ] dev-libs/re2-0_p20130115
[ebuild  N     ] dev-libs/jsoncpp-0.5.0-r1  USE="-doc"
[ebuild  N     ] dev-libs/ppl-0.12.1-r1  USE="-doc -lpsol -pch -static-libs {-test}"
[ebuild  N     ] media-libs/libwebp-0.2.1  USE="-experimental -static-libs"
[ebuild  N     ] dev-perl/JSON-2.530.0
[ebuild  N     ] app-arch/snappy-1.1.0  USE="-static-libs"
[ebuild  N     ] dev-libs/cloog-ppl-0.15.10  USE="-static-libs"
[ebuild  N     ] dev-lang/v8-3.19.18.19  USE="readline (-neon)"
[ebuild  N     ] dev-python/simplejson-3.3.0  PYTHON_TARGETS="python2_7 (-pypy2_0) -python2_6 (-python3_3)"
[ebuild   R    ] dev-libs/libxml2-2.9.1-r1  USE="icu*"
[ebuild  N     ] dev-python/ply-3.4  USE="-examples"
[ebuild  N     ] dev-libs/protobuf-2.4.1  USE="python -emacs -examples -java -source -static-libs -vim-syntax"
[ebuild  N     ] dev-python/markupsafe-0.15-r1  PYTHON_TARGETS="python2_7 python3_2 (-pypy2_0) -python2_6 (-python3_3)"
[ebuild  N     ] dev-python/jinja-2.7  USE="-doc -examples" PYTHON_TARGETS="python2_7 (-pypy2_0) -python2_6 (-python3_3)"
[ebuild  N     ] dev-lang/nacl-toolchain-newlib-0_p9093
[ebuild  N     ] www-client/chromium-29.0.1547.57  USE="gnome -bindist -cups -custom-cflags -gnome-keyring -gps -kerberos -pulseaudio (-selinux) (-system-sqlite) (-tcmalloc) {-test}" LINGUAS="es -am -ar -bg -bn -ca -cs -da -de -el -en_GB -es_LA -et -fa -fi -fil -fr -gu -he -hi -hr -hu -id -it -ja -kn -ko -lt -lv -ml -mr -ms -nb -nl -pl -pt_BR -pt_PT -ro -ru -sk -sl -sr -sv -sw -ta -te -th -tr -uk -vi -zh_CN -zh_TW"

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/libxml2:2

  (dev-libs/libxml2-2.9.1-r1::gentoo, ebuild scheduled for merge) pulled in by
    dev-libs/libxml2:=[icu] required by (www-client/chromium-29.0.1547.57::gentoo, ebuild scheduled for merge)

  (dev-libs/libxml2-2.9.1-r1::gentoo, installed) pulled in by
    dev-libs/libxml2:2[!icu?] required by (dev-qt/qtwebkit-4.8.4::gentoo, installed)

It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


Como puedo solucionar el conflicto?
Vengo de reparar mi portage y no me gustaría volver a echarlo a perder!!!!


Last edited by natrix on Tue Sep 17, 2013 11:55 am; edited 1 time in total
Back to top
View user's profile Send private message
GregToo
n00b
n00b


Joined: 18 Aug 2013
Posts: 25
Location: Chile

PostPosted: Sat Sep 07, 2013 4:44 am    Post subject: Reply with quote

tuve ese mismo problema y lo solucione agregando la variable USE "icu" en /etc/portage/make.conf
debido a que Chromium ~amd64 necesita que emergas

dev-libs/libxml2 icu

el cual a su vez necesita que

qtwebkit sea emergido con la variable USE "icu"

y este ultimo necesita emerger nuevamente varios paquetes más debido a ese cambio.
por lo que al tratarse de una cadena agregue la variable USE a make.conf

definición de ICU use flag:

icu Enable ICU (Internationalization Components for Unicode) support, using dev-libs/icu

suerte
Back to top
View user's profile Send private message
natrix
Apprentice
Apprentice


Joined: 23 Aug 2013
Posts: 242

PostPosted: Sun Sep 08, 2013 12:21 am    Post subject: Reply with quote

Perfecto!!! :P
Te estoy respondiendo con el Chromium
Gracias!!!!!
Back to top
View user's profile Send private message
natrix
Apprentice
Apprentice


Joined: 23 Aug 2013
Posts: 242

PostPosted: Mon Sep 16, 2013 7:26 pm    Post subject: Conflicto con Chromium (SOL) Reply with quote

Duda respondida
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Spanish All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum